Freeciv-3.3: Data Fields

Freeciv-3.3

Loading...
Searching...
No Matches
Here is a list of all struct and union fields with links to the structures/unions they belong to:

### - r -

- r : color, rgbacolor, rgbcolor
- r1 : city_dialog
- r2 : city_dialog
- r3 : city_dialog
- r4 : city_dialog
- r_arrow_icon : theme_icons
- races_dialog() : races_dialog
- radius : city_map
- radius_sq : vision
- rallies : fc_client
- rally_city : qfc_rally_list
- rally_point : city
- random_button : races_dialog
- random_move_time : civ_game
- random_name : player
- random_pressed() : races_dialog
- range : requirement
- ranked_username : packet_edit_player, player
- ranklog_filename : server_arguments
- ransom_gold : civ_game
- rapture : city, packet_edit_city
- rapturedelay : packet_game_info
- rare_pop_up : action
- raw : entry, json_data_out
- razechance : civ_game
- reachable : research::research_invention
- reachable_goals : science_report
- reachable_techs : science_report
- reactivate() : diplo_dlg, qfc_dialog
- read_settings() : fc_client
- real_city_dialog_popup : gui_funcs
- real_city_dialog_refresh : gui_funcs
- real_conn_list_dialog_update : gui_funcs
- real_economy_report_dialog_update : gui_funcs
- real_embassy : packet_player_info, player
- real_focus_units_changed : gui_funcs
- real_output_window_append : gui_funcs
- real_science_report_dialog_update : gui_funcs
- real_set_client_page : gui_funcs
- real_units_report_dialog_update : gui_funcs
- really_gives_vision : player
- receive : packet_handlers
- receive_prototype() : generate_packets.Variant
- received : connection
- receiver : city_deal
- receiver_reqs : clause_info, packet_ruleset_clause
- rect : req_tooltip_help
- rects : sdl2_data, sdl3_data
- rects_count : sdl2_data, sdl3_data
- redraw() : science_report, widget
- redundant : improvement_entry
- ref_count : pf_fuel_pos, small_sprite, unit_move_data
- refcount : unit
- refresh : ai_type, city_dialog, edit_extra, edit_impr, edit_tech, edit_terrain, edit_utype, effect_edit, fc_shortcuts_dialog, races_dialog, req_edit, req_vec_fix, tab_achievement, tab_building, tab_counter, tab_enabler, tab_extras, tab_good, tab_gov, tab_misc, tab_multiplier, tab_nation, tab_tech, tab_terrains, tab_unit
- refresh_effect_edits() : ruledit_gui
- refresh_item() : req_edit
- refresh_list_versions() : mpgui
- refresh_list_versions_thr() : mpgui
- refresh_list_versions_thr_signal() : mpgui
- refresh_selected() : req_edit
- refresh_stats() : tab_misc
- refresh_unit_city_dialogs : gui_funcs
- refuel_extras : unit_class
- reg : progress_bar
- reject_applied_solutions() : req_vec_fix
- release_fonts() : fc_font
- reload_sidebar_icons() : fc_client
- remaining : cityresult
- removal : packet_edit_startpos, packet_edit_tile_extra
- removal_callback : unit
- removal_time : extra_type, packet_ruleset_extra
- removal_time_factor : extra_type, packet_ruleset_extra
- REMOVE_CAP_PATTERN : generate_packets.FieldFlags
- remove_caps : generate_packets.FieldFlags
- remove_city() : trade_generator
- remove_cmd : worklist_data
- remove_links : chatwdg
- remove_net_input : gui_funcs
- remove_repo_dlg() : fc_client
- remove_server_source() : fc_client
- remove_time : voteinfo
- remove_virtual_city() : trade_generator
- removed : packet_ruleset_tech
- rename_command : city_dialog
- rename_shell : city_dialog
- render() : minimap_thread, utf8_str
- rendered_image() : minimap_thread
- renderer : sdl2_data, sdl3_data
- repair_button : tab_enabler
- repair_now() : tab_enabler
- repeat : packet_unit_orders, unit
- replace() : generate_packets.Location
- req : action_enabler_contradiction, adv_data, help_page_selection, req_vec_change, research_diagram
- req1 : tab_tech
- req1_button : tab_tech
- req1_jump() : tab_tech
- req1_menu() : tab_tech
- req2 : tab_tech
- req2_button : tab_tech
- req2_jump() : tab_tech
- req2_menu() : tab_tech
- req_caancel_threaty() : plr_report
- req_caps : packet_scenario_info
- req_edit() : req_edit
- req_edits : ruledit_gui
- req_list : req_edit
- req_love_for_alliance : ai_plr
- req_love_for_peace : ai_plr
- req_meeeting() : plr_report
- req_present_menu() : req_edit
- req_range_menu() : req_edit
- req_tooltip_help() : req_tooltip_help
- req_type_menu() : req_edit
- req_vec_fix() : req_vec_fix
- req_vec_fix_problem() : req_vec_fix_problem
- req_vec_fixers : ruledit_gui
- req_vec_may_have_changed() : req_edit, req_vec_fix, ruledit_gui
- req_vector : req_edit
- req_wiithdrw_vision() : plr_report
- reqlist : texai_reqs
- reqs : action_auto_perf, citystyle, disaster_type, effect, extra_type, goods_type, government, impr_type, multiplier, music_style, packet_ruleset_action_auto, packet_ruleset_building, packet_ruleset_city, packet_ruleset_disaster, packet_ruleset_effect, packet_ruleset_extra, packet_ruleset_goods, packet_ruleset_government, packet_ruleset_multiplier, packet_ruleset_music, packet_ruleset_specialist, specialist
- reqs_from : texai_thr
- reqtree_curved_lines : client_options
- reqtree_show_icons : client_options
- request_action_confirmation : gui_funcs
- request_id_of_currently_handled_packet : connection
- request_kind : packet_city_sabotage_list, packet_unit_action_answer, packet_unit_action_query, packet_unit_actions, packet_unit_get_actions
- request_transport : gui_funcs
- require : advance, tree_node
- require_happy : cm_parameter
- required : luascript_func, sship_part_info
- required_boat : caravan_result
- required_techs : research::research_invention
- requirement_button : techs_buttons, units_buttons
- requirers_data : effect_list_cb_data, effect_list_multiplier_data
- requirers_dlg() : requirers_dlg
- res_diag : science_report
- research_diagram() : research_diagram
- research_reqs : advance, packet_ruleset_tech
- researching : packet_edit_player, packet_research_info, research
- researching_combo : science_report
- researching_cost : packet_research_info, research
- researching_saved : research
- reserved : tile_data_cache
- reserved_01 : ai_type
- reserved_02 : ai_type
- reserved_03 : ai_type
- reserved_04 : ai_type
- reserved_05 : ai_type
- reset() : go_act_menu, minimap_view, research_diagram
- reset_all() : go_act_menu
- reset_history_position() : chat_listener
- reset_packets : generate_packets.Packet, generate_packets.Variant
- RESET_PATTERN : generate_packets.Packet
- reset_tree() : science_report
- resize() : generate_packets.SequenceType, generate_packets.SpecvecType, generate_packets.StrvecType, widget
- resize_me() : fc_sidebar
- resize_mode : info_tab
- resize_pixmap() : fc_sidewidget
- resize_widget() : resize_widget
- resizeEvent() : fc_game_tab_widget, messagewdg, minimap_view, progress_bar
- resolve_type : generate_packets.PacketsDefinition
- resolved : voteinfo
- resource : extra_type, packet_edit_tile, packet_tile_info, player_tile, tile
- resource_freq : packet_ruleset_terrain, terrain
- resource_map : city_dialog
- resources : packet_ruleset_terrain, terrain
- response : blocking_dialog_data
- response_accept() : diplo_wdg
- response_callback : gui_dialog, input_dialog_data
- response_cancel() : diplo_wdg
- response_cli_data : input_dialog_data
- restart() : notify_dialog
- restart_phase : ai_type
- restore_chat() : info_tab
- restore_pixmap() : diplo_wdg
- restore_selection() : city_widget, plr_widget
- restrictinfra : packet_game_info
- result : action, cityresult, packet_ruleset_action
- result_label : cma_dialog, unit_hud_selector
- resume : audio_plugin
- resume_searching() : map_view
- resx : info_tab
- resxy : info_tab
- resy : info_tab
- retired : signal_deprecator
- return_dialog_id : gui_dialog
- return_path : goto_map
- return_types : luascript_func
- reveal_trade_partner : packet_game_info
- revealmap : civ_game
- revolentype : packet_game_info
- revolution : adv_data, gov_menu
- revolution_finishes : packet_edit_player, packet_player_info, player
- revolution_length : civ_game
- revolution_start : ai_type
- rgame : civ_game
- rgb : nation_type, player, terrain
- riches : civ_map
- right : unit_node
- right_click : fc_sidewidget
- right_clicked() : hud_action
- right_icon : theme_icons
- river : nation_city
- rivers : named_sprites
- rm_game_tab() : fc_client
- rm_links() : chatwdg
- rmact : named_sprites
- rmact_gfx : edit_extra, extra_type, packet_ruleset_extra
- rmact_gfx_alt : edit_extra, extra_type, packet_ruleset_extra
- rmact_gfx_alt2 : edit_extra, extra_type, packet_ruleset_extra
- rmact_gfx_alt2_given() : edit_extra
- rmact_gfx_alt_given() : edit_extra
- rmact_gfx_given() : edit_extra
- rmcauses : extra_type, packet_ruleset_extra
- rmextra : worker_activity_cache
- rmextra_turns : actcalc
- rmreqs : extra_type, packet_ruleset_extra
- rname : tab_achievement, tab_building, tab_counter, tab_extras, tab_good, tab_gov, tab_multiplier, tab_tech, tab_terrains, tab_unit
- road : editor_sprites, extra_type, loaddata, named_sprites
- road_output_incr_pct : packet_ruleset_terrain, terrain
- road_time : packet_ruleset_terrain, terrain
- roadflag : universals_u
- roads_menu : mr_menu
- roles : packet_ruleset_unit, unit_type
- root_req : packet_ruleset_tech, tab_tech
- root_req_button : tab_tech
- root_req_jump() : tab_tech
- root_req_menu() : tab_tech
- root_reqs_known : research::research_invention
- rootdone : advance_root_req_iter
- routes : city
- row_count : units_select
- row_download() : mpgui
- row_selected() : mpgui
- rowCount() : city_model, city_production_model, plr_model
- rowref : objbind
- rslock : setting
- rstate : loaddata
- ru : named_sprites
- rule : intel_wonder_dialog
- rule_name : packet_ruleset_achievement, packet_ruleset_building, packet_ruleset_city, packet_ruleset_counter, packet_ruleset_disaster, packet_ruleset_extra, packet_ruleset_goods, packet_ruleset_government, packet_ruleset_multiplier, packet_ruleset_nation, packet_ruleset_specialist, packet_ruleset_style, packet_ruleset_tech, packet_ruleset_tech_class, packet_ruleset_terrain, packet_ruleset_unit, packet_ruleset_unit_class, team_slot
- rule_names : packet_ruleset_nation_sets
- ruledit : civ_game
- ruledit_disabled : achievement, action_enabler, counter, extra_type, goods_type, government, impr_type, multiplier, nation_style, specialist, tech_class, terrain, unit_class, unit_type
- ruledit_dlg : advance, extra_type, impr_type, terrain, unit_type
- ruledit_main() : ruledit_main
- rulename : name_translation
- ruler_titles : government
- rulesave : effect
- ruleset : ruledit_arguments, server_arguments
- ruleset_capabilities : civ_game
- ruleset_change() : pregame_options
- ruleset_count : packet_ruleset_choices
- ruleset_description : civ_game
- ruleset_init : civ_game
- ruleset_loaded() : tab_misc
- ruleset_locked : packet_edit_game, packet_scenario_info
- ruleset_ready : civ_game
- ruleset_select : ruledit_gui
- ruleset_settable : setting
- ruleset_summary : civ_game
- rulesetdir : civ_game
- rulesetdir_given() : ruledit_gui
- rulesets : packet_ruleset_choices
- run() : fc_shortcut_popup, minimap_thread, mpqt_worker
- run_on_close : choice_dialog
- rw : minimap_view